/** 
 * Copyright (c) 2016-2018 CPU and Fundamental Software Research Center, CAS
 *  
 * This software is published by the license of CPU-OS License，you can use and 
 * distibuted this software under this License. See CPU-OS Liense for more detail.
 *
 * You should have receive a copy of CPU-OS License. If not, please contact us 
 * by email <support_os@cpu-os.ac.cn>  
 * 
 **/

#include <stdio.h>
#include "gbcode.h"

int main (int argc, char* argv[])
{
  char *in = "gbcode 中文(长度<=512)";
  if (argc >= 2) {
    in = argv[1];
  } else {
      printf ("%s. ", in);
  }
  char pinyin[3072] = {0, };
  gbcode_get_full_pinyin (in, TRUE, pinyin, 3072);
  printf ("%s\n", pinyin);
  return 0;
}
